Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.extension
Class ViolatedInitials

    java.lang.Object
      ifs.extension.Extension
          ifs.extension.ViolatedInitials

All Implemented Interfaces:
  ModelListener

    public class ViolatedInitials

extends Extension

Computation of violated initial values (minimal perturbation problem).
It is using `Constraint.isConsistent(Value, Value)` to find out what initial values (of different variables) cannot be assigned when an arbitrary value is assigned to a variable. This information is computed in advance, before the solver is executed. It is used for better estimation of perturbation penalty (see `PerturbationsCounter`) when a value is to be assigned to a variable.

Version:
  1.0
Author:
  Tomáš Müller

Constructor Summary
`ViolatedInitials(Solver solver, DataProperties properties)`

Method Summary
`Set` | `getViolatedInitials(Value value)` Initial values that cannot be assigned when the given value is assigned
`boolean` | `init()` Compute the violations between any value and all other initial values

Methods inherited from class ifs.extension.Extension
`afterAssigned, afterUnassigned, beforeAssigned, beforeUnassigned, constraintAdded, constraintRemoved, getInfo, getModel, getProperties, getSolver, init, isRegistered, register, unregister, useValueExtra, useVariableExtra, variableAdded, variableRemoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViolatedInitials

    public ViolatedInitials(Solver solver,
                            DataProperties properties)

Method Detail

### init

    public boolean init()

  Compute the violations between any value and all other initial values

### getViolatedInitials

    public Set getViolatedInitials(Value value)

  Initial values that cannot be assigned when the given value is assigned

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller